Share via


Storage Accounts - List Service SAS

List service SAS credentials of a specific resource.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Storage/storageAccounts/{accountName}/listServiceSas?api-version=2025-06-01

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 24
pattern: ^[a-z0-9]+$

The name of the storage account within the specified resource group. Storage account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
canonicalizedResource True

string

The canonical path to the signed resource.

endPk

string

The end of partition key.

endRk

string

The end of row key.

keyToSign

string

The key to sign the account SAS token with.

rscc

string

The response header override for cache control.

rscd

string

The response header override for content disposition.

rsce

string

The response header override for content encoding.

rscl

string

The response header override for content language.

rsct

string

The response header override for content type.

signedExpiry

string (date-time)

The time at which the shared access signature becomes invalid.

signedIdentifier

string

maxLength: 64

A unique value up to 64 characters in length that correlates to an access policy specified for the container, queue, or table.

signedIp

string

An IP address or a range of IP addresses from which to accept requests.

signedPermission

Permissions

The signed permissions for the service SAS. Possible values include: Read (r), Write (w), Delete (d), List (l), Add (a), Create (c), Update (u) and Process (p).

signedProtocol

HttpProtocol

The protocol permitted for a request made with the account SAS.

signedResource

SignedResource

The signed services accessible with the service SAS. Possible values include: Blob (b), Container (c), File (f), Share (s).

signedStart

string (date-time)

The time at which the SAS becomes valid.

startPk

string

The start of partition key.

startRk

string

The start of row key.

Responses

Name Type Description
200 OK

ListServiceSasResponse

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

StorageAccountListServiceSAS

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/res7439/providers/Microsoft.Storage/storageAccounts/sto1299/listServiceSas?api-version=2025-06-01

{
  "canonicalizedResource": "/blob/sto1299/music",
  "signedExpiry": "2017-05-24T11:32:48.8457197Z",
  "signedPermission": "l",
  "signedResource": "c"
}

Sample response

{
  "serviceSasToken": "sv=2015-04-05&sr=c&se=2017-05-24T11%3A32%3A48Z&sp=l&sig=PoF8yBUGixsjzwroLmw7vG3VbGz4KB2woZC2D4C2oio%3D"
}

Definitions

Name Description
ErrorResponse

An error response from the storage resource provider.

ErrorResponseBody

Error response body contract.

HttpProtocol

The protocol permitted for a request made with the account SAS.

ListServiceSasResponse

The List service SAS credentials operation response.

Permissions

The signed permissions for the account SAS. Possible values include: Read (r), Write (w), Delete (d), List (l), Add (a), Create (c), Update (u) and Process (p).

ServiceSasParameters

The parameters to list service SAS credentials of a specific resource.

SignedResource

The signed services accessible with the service SAS. Possible values include: Blob (b), Container (c), File (f), Share (s).

ErrorResponse

An error response from the storage resource provider.

Name Type Description
error

ErrorResponseBody

Azure Storage Resource Provider error response body.

ErrorResponseBody

Error response body contract.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

message

string

A message describing the error, intended to be suitable for display in a user interface.

HttpProtocol

The protocol permitted for a request made with the account SAS.

Value Description
https,http
https

ListServiceSasResponse

The List service SAS credentials operation response.

Name Type Description
serviceSasToken

string

List service SAS credentials of specific resource.

Permissions

The signed permissions for the account SAS. Possible values include: Read (r), Write (w), Delete (d), List (l), Add (a), Create (c), Update (u) and Process (p).

Value Description
r
d
w
l
a
c
u
p

ServiceSasParameters

The parameters to list service SAS credentials of a specific resource.

Name Type Description
canonicalizedResource

string

The canonical path to the signed resource.

endPk

string

The end of partition key.

endRk

string

The end of row key.

keyToSign

string

The key to sign the account SAS token with.

rscc

string

The response header override for cache control.

rscd

string

The response header override for content disposition.

rsce

string

The response header override for content encoding.

rscl

string

The response header override for content language.

rsct

string

The response header override for content type.

signedExpiry

string (date-time)

The time at which the shared access signature becomes invalid.

signedIdentifier

string

maxLength: 64

A unique value up to 64 characters in length that correlates to an access policy specified for the container, queue, or table.

signedIp

string

An IP address or a range of IP addresses from which to accept requests.

signedPermission

Permissions

The signed permissions for the service SAS. Possible values include: Read (r), Write (w), Delete (d), List (l), Add (a), Create (c), Update (u) and Process (p).

signedProtocol

HttpProtocol

The protocol permitted for a request made with the account SAS.

signedResource

SignedResource

The signed services accessible with the service SAS. Possible values include: Blob (b), Container (c), File (f), Share (s).

signedStart

string (date-time)

The time at which the SAS becomes valid.

startPk

string

The start of partition key.

startRk

string

The start of row key.

SignedResource

The signed services accessible with the service SAS. Possible values include: Blob (b), Container (c), File (f), Share (s).

Value Description
b
c
f
s